Get all the supported assets on the given chain.
curl --request GET \
--url https://{environment}.garden.finance/v2/assets \
--header 'garden-app-id: <api-key>'import requests
url = "https://{environment}.garden.finance/v2/assets"
headers = {"garden-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'garden-app-id': '<api-key>'}};
fetch('https://{environment}.garden.finance/v2/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.garden.finance/v2/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"garden-app-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.garden.finance/v2/assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("garden-app-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.garden.finance/v2/assets")
.header("garden-app-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.garden.finance/v2/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["garden-app-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "Ok",
"error": "<string>",
"result": [
{
"id": "arbitrum:wbtc",
"name": "Wrapped Bitcoin:WBTC",
"chain": "evm:42161",
"icon": "<string>",
"htlc": {
"address": "<string>",
"schema": "evm:htlc_erc20"
},
"token": {
"address": "<string>",
"schema": "evm:erc20"
},
"decimals": 8,
"min_amount": "<string>",
"max_amount": "<string>",
"price": 1
}
]
}Assets & Routes
Supported Assets
GET
/
assets
Get all the supported assets on the given chain.
curl --request GET \
--url https://{environment}.garden.finance/v2/assets \
--header 'garden-app-id: <api-key>'import requests
url = "https://{environment}.garden.finance/v2/assets"
headers = {"garden-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'garden-app-id': '<api-key>'}};
fetch('https://{environment}.garden.finance/v2/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.garden.finance/v2/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"garden-app-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.garden.finance/v2/assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("garden-app-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.garden.finance/v2/assets")
.header("garden-app-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.garden.finance/v2/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["garden-app-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "Ok",
"error": "<string>",
"result": [
{
"id": "arbitrum:wbtc",
"name": "Wrapped Bitcoin:WBTC",
"chain": "evm:42161",
"icon": "<string>",
"htlc": {
"address": "<string>",
"schema": "evm:htlc_erc20"
},
"token": {
"address": "<string>",
"schema": "evm:erc20"
},
"decimals": 8,
"min_amount": "<string>",
"max_amount": "<string>",
"price": 1
}
]
}Retrieve a list of all assets supported across different blockchain networks, including symbols, addresses, and decimals.
Authorizations
If you do not yet have an app ID, please follow these steps.
Query Parameters
(Optional) Asset filter. Mainnet
Available options:
arbitrum:wbtc, ethereum:wbtc, arbitrum:ibtc, base:cbbtc, bitcoin:btc, bnbchain:btcb, botanix:btc, citrea:cbtc, ethereum:cbbtc, ethereum:usdt, hyperevm:ubtc, litecoin:ltc, monad:mon, monad:usdc, solana:cbbtc, solana:sol, solana:usdc, starknet:wbtc, tron:usdt Was this page helpful?